%define major	3
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		qxmpp
Version:	1.3.2
Release:	%mkrel 1
Summary:	XMPP client and server library based on Qt
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/qxmpp-project/qxmpp/
Source0:	https://github.com/qxmpp-project/qxmpp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vpx)

%description
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

#----------------------------------------------------

%package -n	%{libname}
Summary:	XMPP client and server library based on Qt
Group:		System/Libraries

%description -n	%{libname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

QXmpp strives to be as easy to use as possible, the underlying TCP socket,
the core XMPP RFCs (RFC3920 and RFC3921) and XMPP extensions have been
nicely encapsulated into classes. QXmpp comes with full API
documentation, automatic tests and many examples.

QXmpp uses Qt extensively, and as such users need to a have working knowledge
of C++ and Qt basics (Signals and Slots and Qt data types).

Qt is the only third party library which is required to build QXmpp, but
libraries such as speex, vpx and theora enable additional features.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for QXmpp
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc AUTHORS CHANGELOG.md README.md
%license LICENSE.LGPL
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------

%package	doc
Summary:	Library documentation for QXmpp
Group:		Documentation
BuildArch:	noarch

%description	doc
QXmpp is a cross-platform C++ XMPP client and server library. It is written
in C++ and uses Qt framework.

This package contains library documentation for QXmpp.

%files doc
%doc AUTHORS CHANGELOG.md README.md
%{_docdir}/%{name}/

#----------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5 \
	-DBUILD_DOCUMENTATION=ON

%cmake_build

%install
%cmake_install



%changelog
* Mon Jan 11 2021 daviddavid <daviddavid> 1.3.2-1.mga8
+ Revision: 1671097
- new version: 1.3.2

* Thu Dec 17 2020 umeabot <umeabot> 1.3.1-2.mga8
+ Revision: 1659722
- Rebuild for new Qt5

* Tue Aug 04 2020 daviddavid <daviddavid> 1.3.1-1.mga8
+ Revision: 1610868
- new version: 1.3.1

* Fri Apr 10 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1566057
- new version: 1.3.0

* Fri Feb 21 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1548300
- new version: 1.2.0
- now libmajor is 3

* Mon Feb 17 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1537109
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Oct 25 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1455724
- new version: 1.1.0
- now libmajor is 2

* Fri Oct 18 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1454419
- new version: 1.0.1
- now libmajor is 1

* Mon Apr 01 2019 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1384670
- Qt5 Rebuild

* Thu Jan 10 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1354356
- new version: 1.0.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3-5.mga7
+ Revision: 1300762
- Mageia 7 Mass Rebuild

* Mon May 21 2018 daviddavid <daviddavid> 0.9.3-4.mga7
+ Revision: 1230929
- rebuild against latest libvpx (mga#23059)

* Fri Feb 02 2018 daviddavid <daviddavid> 0.9.3-3.mga7
+ Revision: 1198629
- rebuild for new libvpx 1.7.0

* Wed Jul 19 2017 cjw <cjw> 0.9.3-2.mga7
+ Revision: 1124879
- rebuild for new libvpx

* Wed Jun 15 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 1021561
- initial package qxmpp

